// Automatic FlutterFlow imports
import '/commons/schema/structs/index.dart';
import '/commons/schema/enums/enums.dart';
import '/commons/actions/actions.dart' as action_blocks;
import '/commons/widgets/flutter_flow_theme.dart';
import '/commons/widgets/flutter_flow_util.dart';
import 'index.dart'; // Imports other custom actions
import '/commons/widgets/custom_functions.dart'; // Imports custom functions
import 'package:flutter/material.dart';
import 'dart:convert';
import 'dart:typed_data';

Future<String?> convertImageFileToBase64(FFUploadedFile imageFile) async {
  List<int>? imageBytes = imageFile.bytes;
  if (imageBytes != null) {
    String base64Image = base64Encode(imageBytes);
    return base64Image;
  }
}
