import 'package:hub/pages/onboarding/welcome/component.dart';

import '/commons/widgets/flutter_flow_util.dart';
import 'widget.dart' show WelcomePageWidget;
import 'package:flutter/material.dart';

class WelcomePageModel extends FlutterFlowModel<WelcomePageWidget> {
  ///  Local state fields for this page.

  String toggleIdx = 'welcome';

  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // Model for welcomeTemplateComponent component.
  late WelcomeTemplateComponentModel welcomeTemplateComponentModel;

  @override
  void initState(BuildContext context) {
    welcomeTemplateComponentModel =
        createModel(context, () => WelcomeTemplateComponentModel());
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    welcomeTemplateComponentModel.dispose();
  }
}
